En raison de mises à jour du système, ni.com peut être indisponible à partir de 9:00 AM - 12:00 PM CDT on Saturday, June 6th

NI-Industrial Communications for EtherNet/IP and LabVIEW Compatibility

Aperçu

This page shows supported versions of NI-Industrial Communications for EtherNet/IP with LabVIEW development systems. Reference this information to ensure you install the correct version when upgrading or updating your system or software. Using incompatible versions may result in errors, missing LabVIEW palettes or functions, or devices and tasks failing to show up in NI Measurement & Automation Explorer (MAX).

Note that this article replaces KnowledgeBase 5YEEM45R: NI-Industrial Communications for EtherNet/IP and LabVIEW Version Compatibility. Some NI manuals may still reference the previous document. If you were redirected from the previous KnowledgeBase URL, please update your bookmarks accordingly.

NI-Industrial Communications for EtherNet/IP and LabVIEW Version Compatibility

Use this table to compare NI-Industrial Communications for EtherNet/IP and LabVIEW Version Compatibility
NI IndCom for EtherNet/IP LabVIEW / LabVIEW Real-Time Version
8.5.1 8.6.1 2009 SP1 2010 SP1 2011 SP1 2012 SP1 2013 2014 2015 2016 2017 2018 2019
1.1                  
1.2                  
1.2.1                  
1.3                  
14.0                  
15.0                  
16.0                  
17.0                  
18.0                  
19.0                  


Compatible Version

 

Note: Starting with LabVIEW 2013, all minor versions of LabVIEW (ex: 2013 SP1) are compatible with the same version of the NI-Industrial Communications for Ethernet/IP driver as the corresponding major versions. For example, LabVIEW 2014 SP1 is compatible with the same driver as LabVIEW 2014 (version 14.0).